######################
#
# This script will start the vTcl visual designer
# and can be run only once for a particular process.
#
######################


if [info exists vtcl_pad] {
	puts stderr "can not run vtcl/pad more than once in a given process"
	return
}

set vtcl_pad 1
puts "loading vtcl..."
puts stderr "the following error messages are non-fatal:"
package require Tk 8.0
package require tix 4.1
lappend auto_path /vtcl
source $env(VTCL_HOME)/vt.tcl
tkwait variable v
foreach w [winfo children .] {
	catch "destroy $w"
}
